Bug 1336168 - Review Request: git-lfs - Git extension for versioning large files
Summary: Review Request: git-lfs - Git extension for versioning large files
Keywords:
Status: CLOSED DUPLICATE of bug 1487430
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: clime
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1336159 1336161 1336164 1486510 1486511
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-15 02:33 UTC by Igor Gnatenko
Modified: 2017-08-31 22:08 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 22:07:22 UTC
Type: ---
sspreitz: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2016-05-15 02:33:56 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/git-lfs.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/git-lfs-1.2.0-1.fc25.src.rpm
Description:
Git Large File Storage (LFS) replaces large files such as audio samples,
videos, datasets, and graphics with text pointers inside Git, while
storing the file contents on a remote server.
Fedora Account System Username: ignatenkobrain

Comment 1 Sascha Spreitzer (Red Hat) 2016-06-21 15:24:22 UTC
Hi Igor

I will be reviewing your request.

Kind regards
Sascha

Comment 2 Igor Gnatenko 2016-06-21 16:26:53 UTC
(In reply to Sascha Spreitzer from comment #1)
> Hi Igor
> 
> I will be reviewing your request.
It's good, what about other packages? ;)
> 
> Kind regards
> Sascha

Comment 3 Jan Chaloupka 2016-07-11 10:42:45 UTC
Summary:
- please provide %{commit}, %{shortcommit}, %{provider} and the usual macros for Go packages. They are handful (and needed) for tooling running over Go projects packaged in Fedora.
- as long as the package is for Fedora only, BuildRequires:  compiler(go-compiler) is fine. It will not work for epel6, epel7 and RHEL7 as compiler(go-compiler) is not defined there.
- provide devel and unit-test subpackages as well (for analysis carried over Go projects in distribution)
- to build from de-bundled dependencies, all imports prefixed with "github.com/github/git-lfs/vendor/_nuts/" must be updated. (Remove the prefix). U can use: sed -i "s/github\.com\/github\/git-lfs\/vendor\/_nuts\///" $(find . -name '*.go')

After removing the vendor prefix, the following list of deps remains:

BuildRequires: golang(github.com/ThomsonReutersEikon/go-ntlm/ntlm)
BuildRequires: golang(github.com/bgentry/go-netrc/netrc)
BuildRequires: golang(github.com/cheggaaa/pb)
BuildRequires: golang(github.com/kr/pty)
BuildRequires: golang(github.com/olekukonko/ts)
BuildRequires: golang(github.com/rubyist/tracerx)
BuildRequires: golang(github.com/spf13/cobra)

Comment 4 Elliott Sales de Andrade 2017-02-12 09:23:28 UTC
I've tried to update this to 1.5.5 [1,2]. Bug 1336166 can be dropped because it's no longer a dependency. It will newly require golang-github-xeipuuv-gojsonschema [3], golang-github-xeipuuv-gojsonpointer [4], and golang-github-xeipuuv-gojsonreference [5].

Since those last three are still in testing, my copr build will probably fail, but the queue is a bit weird today.

[1] https://gitlab.com/QuLogic/rpmbuild-specs/commit/9ca0fd8b1ed92c993e053641dfdcc56d38f8f755
[2] https://copr.fedorainfracloud.org/coprs/qulogic/git-lfs/build/511065/
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1405074 
[4] https://bugzilla.redhat.com/show_bug.cgi?id=1405067
[5] https://bugzilla.redhat.com/show_bug.cgi?id=1405072

Comment 5 James Hogarth 2017-02-21 11:42:42 UTC
Igor are you still planning on packaging this?

Comment 6 Warren Togami 2017-04-10 19:41:47 UTC
Any update on this?  git-lfs is v2.0.2 upstream.

Comment 7 Elliott Sales de Andrade 2017-04-19 05:48:35 UTC
git-lfs v2.0.1 is available in my copr I linked above. 2.0.2 currently fails to build on F25 as it appears to use a function from Go 1.8.

Comment 8 Sascha Spreitzer (Red Hat) 2017-04-19 06:29:17 UTC
Hi 

I am sorry i have to step down on this package review, due to lack of time.

Kind regards
Sascha

Comment 9 Elliott Sales de Andrade 2017-07-10 08:10:39 UTC
2.0.2 spec with patch to build on Go 1.7 is here: https://gitlab.com/qulogic-rpms/git-lfs/tree/master/git-lfs

Are you going to continue with this request, Igor?

Comment 10 Igor Gnatenko 2017-07-28 08:10:35 UTC
Sorry, but golang packaging just cumbersome and I'm not interested in being POC for any of golang packages.

Sorry, guys. Still happy to co-maintain, but not primary maintainer.

Feel free to takeover this review request (note that you don't need to create new one, but just give direct links for specs/srpms here and continue review).

Comment 12 clime 2017-08-03 13:55:47 UTC
We will need to resolve blockers first:

https://bugzilla.redhat.com/show_bug.cgi?id=1336161

and

https://bugzilla.redhat.com/show_bug.cgi?id=1336161

Comment 13 Elliott Sales de Andrade 2017-08-31 22:07:22 UTC
Replaced by new RR.

*** This bug has been marked as a duplicate of bug 1487430 ***


Note You need to log in before you can comment on or make changes to this bug.